[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

[dak/master] Add a win32-loader autobyhand script.



---
 config/debian/dak.conf             |    5 ++++
 scripts/debian/byhand-win32-loader |   47 ++++++++++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+), 0 deletions(-)
 create mode 100755 scripts/debian/byhand-win32-loader

diff --git a/config/debian/dak.conf b/config/debian/dak.conf
index 0f9c35a..2756151 100644
--- a/config/debian/dak.conf
+++ b/config/debian/dak.conf
@@ -357,6 +357,11 @@ AutomaticByHandPackages {
     Extension "tar.gz";
     Script "/srv/ftp-master.debian.org/dak/scripts/debian/byhand-task";
   };
+
+  "win32-loader" {
+    Source "win32-loader";
+    Section "byhand";
+    Script "/srv/ftp-master.debian.org/dak/scripts/debian/byhand-win32-loader";
 };
 
 Dir
diff --git a/scripts/debian/byhand-win32-loader b/scripts/debian/byhand-win32-loader
new file mode 100755
index 0000000..e9d7085
--- /dev/null
+++ b/scripts/debian/byhand-win32-loader
@@ -0,0 +1,47 @@
+#!/bin/sh -ue
+
+if [ $# -lt 4 ]; then
+	echo "Usage: $0 filename version arch changes_file"
+	exit 1
+fi
+
+WIN32_LOADER_FILE="$1"	# *-win32-loader{.exe,txt}
+VERSION="$2"
+ARCH="$3"
+CHANGES="$4"	# Changes file for the upload
+
+error() {
+	echo "$*"
+	exit 1
+}
+
+# Get the target suite from the Changes file
+# NOTE: it may be better to pass this to the script as a parameter!
+SUITE="$(grep "^Distribution:" "$CHANGES" | awk '{print $2}')"
+case $SUITE in
+    "")
+	error "Error: unable to determine suite from Changes file"
+	;;
+    unstable|sid)
+	: # nothing to do
+	;;
+    *)
+	SUITE="${SUITE}-proposed-updates"
+	;;
+esac
+
+# This must end with /
+TARGET="/srv/ftp-master.debian.org/ftp/tools/"
+
+# Check validity of the target directory
+if [ ! -d "$TARGET" ]; then
+	mkdir -p "$TARGET"
+fi
+
+# Put said file into the tools directory
+cp "$WIN32_LOADER_FILE" "$TARGET"
+
+trap - EXIT
+cleanup
+
+exit 0
-- 
1.5.6.5



Reply to: